%define LANG es
%define version 1.24
%define extra_ver 0.8a
%define release 5mdk

Summary: Spanish man (manual) pages from the Linux Documentation Project.
Summary(es): Pginas de manual de Linux en castellano
Name: man-pages-%{LANG}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System/Internationalization
Source: http://www.ditec.um.es/~piernas/manpages-es/man-pages-es-%{version}.tar.bz2  
Source1: http://www.ditec.um.es/~piernas/manpages-es/man-pages-es-extra-%{extra_ver}.tar.bz2  
Source2: makewhatis.%{LANG}.bz2
Icon: books-%{LANG}.gif
URL: http://www.ditec.um.es/~piernas/manpages-es/
Buildroot: %{_tmppath}/%{name}-buildroot
Prereq: sed grep man
Autoreqprov: false
BuildArchitectures: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}, man-pages-es-extra
Provides: man-%{LANG}, man-pages-es-extra

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to Spain.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%description -l es
Pginas de manual en espaol para Linux. Incluye las traducciones de las
las pginas de manual en ingls y aade otras pginas procedentes
de otros paquetes (vea el fichero /usr/doc/man-pages-es/LEEME.extra para ms
informacin). Como podr comprobar, se trata de una versin alfa por lo que
puede encontrar bastantes errores. Cualquier sugerencia, correccin o
crtica constructiva ser bien recibida. Puede ponerse en contacto con el
responsable del proyecto enviando un e-mail a piernas@ditec.um.es. Para ms
informacin, lea los ficheros LEEME y PROYECTO que encontrar en el
directorio /usr/doc/man-pages-es.

%prep
%setup -n man-pages-%{LANG}-%{version}
%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/%{LANG}/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/%{LANG}/cat{1,2,3,4,5,6,7,8,9,n}

mv man1/{COPYING,README,LEAME} .

make MANDIR=$RPM_BUILD_ROOT/%{_mandir}/es allbz

tar yxvf %{SOURCE1}
(
cd man-pages-es-extra-%{extra_ver}
make MANDIR=$RPM_BUILD_ROOT/%{_mandir}/es allbz
)

mkdir -p $RPM_BUILD_ROOT/usr/sbin
bzcat $RPM_SOURCE_DIR/makewhatis.%{LANG}.bz2 > \
        $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}
chmod a+rx $RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG}

$RPM_BUILD_ROOT/usr/sbin/makewhatis.%{LANG} \
        $RPM_BUILD_ROOT/%{_mandir}/%{LANG}

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis.%{LANG} /%{_mandir}/%{LANG}
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%{LANG}.cron

%post
/etc/cron.weekly/makewhatis-%{LANG}.cron

%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%{LANG}, if there isn't any man page
   ## directory /%{_mandir}/%{LANG}
   if [ ! -d /%{_mandir}/%{LANG} ] ; then
       rm -rf /var/catman/%{LANG}
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,0755)
%doc LEEME README man-pages-es-extra-%{extra_ver}/LEEME.extra
%doc man-pages-es-extra-%{extra_ver}/PAQUETES 
%doc man-pages-es-extra-%{extra_ver}/PROYECTO
%dir /%{_mandir}/%{LANG}
/%{_mandir}/%{LANG}/man*
%ghost /%{_mandir}/%{LANG}/whatis
%attr(755,root,man)/var/catman/%{LANG}
%attr(755,root,root)/usr/sbin/makewhatis.%{LANG}
%config %attr(755,root,root)/etc/cron.weekly/makewhatis-%{LANG}.cron

%changelog

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.24-5mdk
- BM

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.24-4mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.

* Sat Apr 08 2000 Camille Begnis <camille@mandrakesoft.com> 1.24-3mdk
- spec update
- fix permissions
- fix group

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%{LANG} from /usr/local/sbin to /usr/sbin

* Wed Nov 03 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- upgraded to man-pages-es-1.24 & man-pages-es-extra-0.8a

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- included some nice improvements from man-pages-pl

* Wed Jul  7 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed the name from man-es to man-pages-es, to make it consistent
  with the english man pages package (and compatible with the name
  used by Juan Piernas Cnovas)
- merged with the rpm package I mantained before; that is I added an icon,
  the /var/catman/es tree, a makewhatis.es script, and a cron entry to run it

* Sat May 22 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Fix prereqs

* Wed Apr 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Description taken from Juan Piernas Cnovas <piernas@ditec.um.es> package. 

* Tue Apr 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Initial version.
- Add a script for /etc/man.config

